Subject: Re: bug#38264: 27.0.50; Emacs terminates unexpectedly when noninteractive is t

From: Artur Malabarba <[email-masked]>
Date: Thu, 21 Nov 2019 08:15:40 -0300

Ah sorry. I got confused cause somebody said they were contacting the
author at the same time I was added.

No, I don't remember the specific reasons why I change that. I may have had
something to do with avoiding prompts or reducing the amount of message
output produced by package.el (I remember working on that) but that's just
guessing.

Artur

On Thu, 21 Nov 2019, 12:37 am Eli Zaretskii, <[email-masked]> wrote:

> > From: Artur Malabarba <[email-masked]>
> > Date: Wed, 20 Nov 2019 20:22:12 -0300
> > Cc: Ihor Radchenko <[email-masked]>, [email-masked]
> >
> > I think I may have been mistakenly included here. :-)
> >  I'm not the author of straight.el and I don't see the author in this
> thread.
>
> You made the change in package.el that uses inhibit-message's value to
> bind noninteractive, and also made other similar changes in
> package.el.  That's why I CC'ed you.
>
> But if you don't remember making that change, or its reasons, that's
> fine' I can take it from here.
>
> Thanks.
>